/*１枚目の写真*/
.service-list.image1 {
  background: url("../images/service_1.jpg") no-repeat center center / cover;
}

/*２枚目の写真*/
.service-list.image2 {
  background: url("../images/service_2.jpg") no-repeat center center / cover;
}

/*３枚目の写真*/
.service-list.image3 {
  background: url("../images/service_3.jpg") no-repeat center center / cover;
}

/*４枚目の写真*/
.service-list.image4 {
  background: url("../images/service_4.jpg") no-repeat center center / cover;
}

.service-list {
  padding: var(--space-large);
  position: relative;
  overflow-x: hidden;
  margin-bottom: 1vw;
}

/*マウスオン用のアニメーション*/
.service-list::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(
    0,
    0,
    0,
    0.8
  ); /*写真に重ねておく半透明の黒い色。0,0,0は黒のことで0.6は色が60%出た状態。*/
  transition: transform 0.3s 0s; /*アニメーションの速度（0.5秒）と待機時間（0.1秒）。*/
}

/*マウスオンで半透明の黒を枠外へ出す。-100%にすると逆に移動*/
/* .service-list:hover::before {
  transform: translateX(100%);
} */

/*タイトル*/
.service-list .title {
  margin: 0;
  padding: 0;
  font-weight: normal;
  position: relative;
  letter-spacing: 0.1rem; /*文字間隔を少しだけ広く*/
  line-height: 1.2; /*行間を狭くする*/
}

/*タイトル(大きい文字)*/
.service-list .title .large {
  font-size: 20px;
}

/*タイトル(英語の小さな文字)*/
.service-list .title span:not(.large) {
  font-size: 7px;
  opacity: 0.5;
  position: absolute;
  right: 0;
  top: -1rem;
}

/* テキスト */
.service-list .text {
  position: relative;
  display: inline-block;
  z-index: 1;
  height: 100%;
  color: #fff;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); /*テキストの影。右へ、下へ、ぼかし幅、0,0,0は黒のことで0.3は色が30%出た状態。*/
  font-size: 10px;
}

@media screen and (min-width: 350px) {
  .service-list .title .large {
    font-size: 30px;
  }
  .service-list .text {
    font-size: 15px;
  }
  .service-list .text p {
    margin: 5px;
  }

  .service-list .title span:not(.large) {
    font-size: 1.4rem;
  }
}

@media screen and (min-width: 600px) {
  .service-list .title .large {
    font-size: 3rem;
  }
  .service-list .text {
    font-size: 1.8rem;
  }
  .service-list .text p {
    margin: 5px;
  }

  .service-list .title span:not(.large) {
    font-size: 1.4rem;
  }
}

/*テキストの配置場所を入れ替えたい場合のスタイル。*/
.service-list .text.reverse {
  margin-left: auto;
}
